			
			
function addData_import_item(dias,codigo_item,referencia,descri,dias_interval,vendas,media,quant_matriz,quant_filial,sujestao,preco,deposito){
				var testList = localStorage.getItem("linha_branco");
				var	list = JSON.parse(testList);
					if(list == null){
						list = [];
					}
				
					list.unshift({"dias":dias , "codigo_item":codigo_item , "referencia":referencia , "descri":descri, "dias_interval":dias_interval, "vendas":vendas, "media":media, "quant_matriz":quant_matriz, "quant_filial":quant_filial, "sujestao":sujestao, "preco": preco, "deposito": deposito });
						saveListStorage2(list);
}

function addData_import_table(){
	
	var testList = localStorage.getItem("linha_branco");
	var	list = JSON.parse(testList);
				
	var cont = 0;
	var result = "";
	var productsData = [];
	
	if ( $.fn.dataTable.isDataTable( '#example' ) ) {
		$("#ts").empty();
		create();
	}
	
	$.each(list, function( p, item ){
		let BGCOLOR = pegacolor(item.quant_matriz,item.sujestao);
		
			cont++;
			result += "<tr class='productRow' style='background-color: "+BGCOLOR+"' >";
			result += "<td><input type='checkbox' id='one"+cont+"' onchange='libDisabled(\""+cont+"\");'  name='checks[]' value='one"+cont+"' class='checks' /></td>";
			result += "<td class='tdProductId'>"+item.codigo_item+"</td>";
			result += "<td class='tdProductRef'>"+item.referencia+"</td>";
			result += "<td class='tdProductDesc'>"+item.descri+"</td>";
			result += "<td class='tdProductSaida'>"+item.vendas+"</td>";
			result += "<td>"+item.quant_matriz+"</td>";
			result += "<td>"+item.quant_filial+"</td>";
			result += "<td ondblclick='modific("+item.sujestao+","+cont+");' ><span id='span"+cont+"' >"+item.sujestao+"</span></td>";
			result += "</tr>";
			
			var pData = { 
					id: cont, 
					cod: item.codigo_item,
					ref:  item.referencia,
					desc: item.descri,
					dias: item.dias_interval,
					saida: item.vendas,
					media: item.media,
					origem: item.quant_matriz,
					destino: item.quant_filial,
					sugestao: item.sujestao,
					preco: item.preco,
					deposito: item.deposito,
				};
			productsData.push(pData);
	});
	
	$("#getAll").removeClass("disabled");
	$("#concluir").removeClass("disabled");
	$("#concluir").removeAttr("disabled");
	$("#ResultX").html(result);

	saveListStorage(productsData);
	
	$('#example').DataTable({
		"columnDefs": [
			{ 
				"targets": [0],
				"width": "10px",
				"searchable": false,
				"orderable": false
			},
			{ 
				"targets": [7],
				"width": "50px"
			}
		],
		"pageLength": 100,
		"order": [[ 1, "asc" ]],
		"pagingType": "full_numbers",
		"language": {
			"lengthMenu": "Exibição _MENU_ registros por página",
			"zeroRecords": "Nada encontrado - desculpe",
			"info": "Mostrando página _PAGE_ de _PAGES_ | _TOTAL_ Registros",
			"infoEmpty": "Não há registros acessível",
			"infoFiltered": "(filtrado de _MAX_ total registros)",
			"sSearch":       	"Procurar",
			"sEmptyTable": "Nenhum dado disponível na tabela", 
			"sLoadingRecords":"Carregando...", 
			"sProcessing":"Aguarde...", 
			"sZeroRecords":"Nenhuma entrada.", 
			"oPaginate": {
				"sFirst":    	"Primeira",
				"sPrevious": 	"Voltar",
				"sNext":     	"Próximo",
				"sLast":     	"Último"
			}
		}
	});
					
	func("success","Importado com sucesso!");
	
	$("#DIAS_sug").val("");
	$("#item").val("");
	$("#ref2").val("");
	$("#descri2").val("");
	$("#dias2").val("");
	$("#ven3").val("");
	$("#media3").val("");
	$("#estmatriz3").val("");
	$("#estfilial3").val("");
	$("#suj3").val("");
}